// -*- c++ -*-

#include <iostream>
#include <vector>

#include <lemon/concepts/graph.h>
#include <lemon/concepts/ugraph.h>
#include <lemon/smart_graph.h>

#include <lemon/edge_set.h>

#include "test_tools.h"
#include "graph_test.h"
#include "map_test.h"


using namespace lemon;
using namespace lemon::concepts;

typedef SmartGraph RGraph;

int main() {
  { // checking edge_sets
    checkConcept<Graph, ListEdgeSet<RGraph> >();
    checkConcept<UGraph, ListUEdgeSet<RGraph> >();
    checkConcept<Graph, SmartEdgeSet<RGraph> >();
    checkConcept<UGraph, SmartUEdgeSet<RGraph> >();
  }

  std::cout << __FILE__ ": All tests passed.\n";

  return 0;
}
